# First check to see if we have already loaded this file so that we only add the item to the menu once
if( not file_loaded?("menus.rb") )

  # displays menus only one, even after more than one load
  if( not $menus_loaded )
    # This will add a separator to the menu, but only once
    add_separator_to_menu("Plugins")
    
    # Creates a sub-menu item Edit under the Plugins menu
    _edit_plugins_menu = UI.menu("Plugins").add_submenu("_Edit")
    # Creates a sub-menu item View under the Plugins menu
    _view_plugins_menu = UI.menu("Plugins").add_submenu("_View")
    # Creates a sub-menu item Camera under the Plugins menu
    _camera_plugins_menu = UI.menu("Plugins").add_submenu("_Camera")
    # Creates a sub-menu item Draw under the Plugins menu
    _draw_plugins_menu = UI.menu("Plugins").add_submenu("_Draw")
    # Creates a sub-menu item Tools under the Plugins menu
    _tools_plugins_menu = UI.menu("Plugins").add_submenu("_Tools")
    # Creates a sub-menu item Windows under the Plugins menu
    _windows_plugins_menu = UI.menu("Plugins").add_submenu("_Windows")
    
    
      # Clone of Edit menu starts here #############################################################
      
      # Explode groups item
      if( not file_loaded?("Scripts/bomb.rb") )
        load "Scripts/bomb.rb"
        _edit_plugins_menu.add_item("Explode groups and components") { bomb_groups }
        file_loaded("Scripts/bomb.rb")
      end
      
      # Clone of View menu starts here #############################################################
      
      # animation item
      if( not file_loaded?("Scripts/animation.rb") )
        load "Scripts/animation.rb"
        _view_plugins_menu.add_item("Spin view") { spinview }
      # stop animation item
        _view_plugins_menu.add_item("Stop spinning") { Sketchup.active_model.active_view.animation = nil }
        file_loaded("Scripts/animation.rb")
      end
      
      _view_plugins_menu.add_item(" ") { UI.messagebox("No command here.") }
      
      # Fog item
      if( not file_loaded?("Scripts/fog.rb") )
        load "Scripts/fog.rb"
        _view_plugins_menu.add_item("Fog") { Sketchup.send_action 21406}
        file_loaded("Scripts/fog.rb")
      end
      
      # Clone of Camera menu starts here #############################################################
      
      # camera vp targ item
      if( not file_loaded?("Scripts/camera_parameters.rb") )
        load "Scripts/camera_parameters.rb"
        _camera_plugins_menu.add_item("Camera / VP / Target") { camera_vp_targ }
      # camera vp targ item
        _camera_plugins_menu.add_item("Camera / Azimuth / Elevation") { camera_vp_az_el }
        file_loaded("Scripts/camera_parameters.rb")
      end

      
      # Clone of Draw menu starts here #############################################################
      
      # grid item
      if( not file_loaded?("Scripts/grid.rb") )
        load "Scripts/grid.rb"
        _draw_plugins_menu.add_item("Grid") { create_grid }
        file_loaded("Scripts/grid.rb")
      end
      
      # numbered grid item
      if( not file_loaded?("Scripts/numbered_grid.rb") )
        load "Scripts/numbered_grid.rb"
        _draw_plugins_menu.add_item("Numbered Grid") { create_NumGrid }
        file_loaded("Scripts/numbered_grid.rb")
      end
      
      _draw_plugins_menu.add_item(" ") { UI.messagebox("Pas de commande ici.") }
      
      # box at 0 0 0 item
      if( not file_loaded?("Scripts/box.rb") )
        load "Scripts/box.rb"
      _draw_plugins_menu.add_item("Box at 0,0,0") { create_box }
      file_loaded("Scripts/box.rb")
      end
      
      # box at X Y Z item
      if( not file_loaded?("Scripts/box_pos.rb") )
        load "Scripts/box.rb"
      _draw_plugins_menu.add_item("Box at X,Y,Z") { create_box_pos }
      file_loaded("Scripts/box_pos.rb")
      end
      
      _draw_plugins_menu.add_item(" ") { UI.messagebox("Pas de commande ici.") }
      
      # helix item
      if( not file_loaded?("Scripts/helix.rb") )
        load "Scripts/helix.rb"
      _draw_plugins_menu.add_item("helix") { helix }
      file_loaded("Scripts/helix.rb")
      end
      
      # stair item
      if( not file_loaded?("Scripts/stair_maker.rb") )
        load "Scripts/stair_maker.rb"
      _draw_plugins_menu.add_item("Concrete straight stair") { archetypesElements_straightConcreteStair }
      file_loaded("Scripts/stair_maker.rb")
      end
      
      # windowizer item
      if( not file_loaded?("Scripts/windowizer.rb") )
        load "Scripts/windowizer.rb"
      _draw_plugins_menu.add_item("Window") { do_window }
      file_loaded("Scripts/windowizer.rb")
      end
      
      # cabinet item
      if( not file_loaded?("Scripts/cabinet.rb") )
        load "Scripts/cabinet.rb"
      _draw_plugins_menu.add_item("Cabinet") { create_cabinet }
      file_loaded("Scripts/cabinet.rb")
      end
      
      
      # Clone of Tools menu starts here #############################################################
      
      # assign estimate to material item
      if( not file_loaded?("Scripts/attributes.rb") )
        load "Scripts/attributes.rb"
      _tools_plugins_menu.add_item("Assign estimate to material") { assign_estimate_to_material }
      # attach cost estimate item
      _tools_plugins_menu.add_item("Attach cost to facess") { attach_cost_estimate }
      # compute estimate item
      _tools_plugins_menu.add_item("Compute estimate") { compute_cost_estimate }
      file_loaded("Scripts/attributes.rb")
      end
      
      _tools_plugins_menu.add_item(" ") { UI.messagebox("Pas de commande ici.") }
      
      # rotix item
      if( not file_loaded?("Scripts/rotix.rb") )
        load "Scripts/rotix.rb"
        _tools_plugins_menu.add_item("Rotate by step, 90, random") { Sketchup.active_model.select_tool Rotix.new }
        file_loaded("Scripts/rotix.rb")
      end
      # Drop doesn't need an menu item as it is in the context menu #############################################################

      # text height item
      if( not file_loaded?("Scripts/height.rb") )
        load "Scripts/height.rb"
      _tools_plugins_menu.add_item("Height Text") { Sketchup.active_model.select_tool HeightTool.new }
      file_loaded("Scripts/height.rb")
      end
      
      # make faces item
      if( not file_loaded?("Scripts/make_faces.rb") )
        load "Scripts/make_faces.rb"
      _tools_plugins_menu.add_item("Make Faces") { makeFaces }
      file_loaded("Scripts/make_faces.rb")
      end
      
      # stitcher item
      if( not file_loaded?("Scripts/stitcher.rb") )
        load "Scripts/stitcher.rb"
      _tools_plugins_menu.add_item("Stitcher") { stitch_faces }
      file_loaded("Scripts/stitcher.rb")
      end
      
       # Clone of Windows menu starts here #############################################################
       
       # list shortcuts item (does'nt need any load)
      _windows_plugins_menu.add_item("List Shortcuts") { Sketchup.send_action 21477}

    $_menu_loaded = true
  end
end

file_loaded("menus.rb")
